﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollaborativePlatformMain.DFEntity
{
    /// <summary>
    /// 
    /// <para>文件名(File Name):     LVProjectInfoEntity.cs</para>
    /// 
    /// <para>描述(Description):     项目信息实体类</para>
    /// 
    /// <para>数据表(Tables):        nothing</para>
    /// 
    /// <para>作者(Author):          Ou Rui Song</para>
    /// 
    /// <para>日期(Create Date):     2024年4月20日15:19:54</para>
    /// 
    /// 修改记录(Revision History):
    ///     R1:
    ///         修改作者:
    ///         修改日期:
    ///         修改理由:
    /// 
    /// </summary>

    public class LVProjectInfoEntity
    {
        /// <summary>
        /// 项目内容
        /// </summary>
        /// <param name="lab"></param>
        /// <param name="name"></param>
        public LVProjectInfoEntity(string lab, string name)
        {
            Lab = lab;
            Name = name;
            Content = lab + name;
        }

        /// <summary>
        /// 标题
        /// </summary>
        public string Lab { get; set; }

        /// <summary>
        /// 内容
        /// </summary>

        public string Name { get; set; }

        /// <summary>
        /// 总内容
        /// </summary>
        public string Content { get; set; }
    }
}
