﻿using CollaborativePlatformMain.Form.UserControlForm;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CollaborativePlatformMain.Form
{
    /// <summary>
    /// ToolsForm.xaml 的交互逻辑
    /// </summary>
    public partial class ToolsForm : Window
    {
        private HomepageForm HomepageForm;

        public ToolsForm(HomepageForm homepageForm, ObservableCollection<CBButtonControlsData> entities)
        {
            InitializeComponent();

            lv_projectInfo.ItemsSource = null;
            lv_projectInfo.ItemsSource = entities;
            HomepageForm = homepageForm;
        }

        private void ToolsForm_OnClosed(object sender, EventArgs e)
        {
            HomepageForm.ToolsForm = null;
        }
    }
}
