﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollaborativePlatformProject.CollaborationPlatform.Entity
{
    /// <summary>
    ///
    /// <para>⽂件名(File Name):     UserInformationEntity.cs</para>
    ///
    /// <para>描述(Description):     用户信息</para>
    ///
    /// <para>数据表(Tables):        nothing</para>
    ///
    /// <para>作者(Author):          Sun Zheng Ji</para>
    ///
    /// <para>⽇期(Create Date):     2024年4月12日13:39:35</para>
    ///
    /// 修改记录(Revision History):
    ///     R1:
    ///         修改作者:
    ///         修改⽇期:
    ///         修改理由:
    ///
    /// </summary>
    public class UserInformationEntity
    {

        /// <summary>
        /// 用户信息
        /// </summary>
        /// <param name="userName"></param>
        /// <param name="userPwd"></param>
        public UserInformationEntity(string userName, string userPwd)
        {
            UserName = userName;
            UserPwd = userPwd;
        }

        /// <summary>
        /// 用户名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 密码
        /// </summary>
        public string UserPwd { get; set; }
    }
}