﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollaborativePlatformMain.DFEntity
{
    /// <summary>
    /// 
    /// <para>文件名(File Name):     NotificationAnnouncement.cs</para>
    /// 
    /// <para>描述(Description):     通知公告实体类</para>
    /// 
    /// <para>数据表(Tables):        nothing</para>
    /// 
    /// <para>作者(Author):          Ou Rui Song</para>
    /// 
    /// <para>日期(Create Date):     2024年4月20日15:21:22</para>
    /// 
    /// 修改记录(Revision History):
    ///     R1:
    ///         修改作者:
    ///         修改日期:
    ///         修改理由:
    /// 
    /// </summary>
    public class NotificationAnnouncement
    {
        /// <summary>
        /// 消息类别
        /// </summary>

        public string MessageCategory { get; set; }

        /// <summary>
        /// 按钮名称
        /// </summary>
        public string BtnName { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 具体内容
        /// </summary>
        public string SpecificContent { get; set; }
    }
}
