﻿using CollaborativePlatformMain.DFEntity;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace CollaborativePlatformMain.Form.UserControlForm
{
    /// <summary>
    /// ProjectControls.xaml 的交互逻辑
    /// </summary>
    public partial class ProjectControls : UserControl
    {
        public string pro_Name;

        /// <summary>
        /// 树状图数据
        /// </summary>
        public ObservableCollection<TreeViewBind> TreeViewDatas;

        public ProjectControls(ObservableCollection<TreeViewBind> treeViewDatas)
        {
            InitializeComponent();
            TreeViewDatas = treeViewDatas;
            this.tv_building.ItemsSource = TreeViewDatas;
        }
    }
}
