﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CollaborativePlatformProject.CollaborationPlatform.Entity
{

    /// <summary>
    ///
    /// <para>⽂件名(File Name):     TreeViewBind.cs</para>
    ///
    /// <para>描述(Description):     点击项目下TreeViewBind的数据</para>
    ///
    /// <para>数据表(Tables):       nothing</para>
    ///
    /// <para>作者(Author):         Sun Zheng Ji</para>
    ///
    /// <para>⽇期(Create Date):     </para>
    ///
    /// 修改记录(Revision History):
    ///     R1:
    ///         修改作者:
    ///         修改⽇期:
    ///         修改理由:
    ///
    /// </summary>
    public class TreeViewBind
    {

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        
        public bool IsPro { get; set; }


        /// <summary>
        /// 子集
        /// </summary>
        public List<TreeViewBind> Children { get; set; }

        public TreeViewBind(string name)
        {
            Name = name;
        }

        public TreeViewBind(string name, List<TreeViewBind> children)
        {
            Name = name;
            Children = children;
        }

        public TreeViewBind(string name, bool isPro)
        {
            Name = name;
            IsPro = isPro;
        }
    }
}