﻿using CollaborativePlatformProject.FormLibrary.Project;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using CollaborativePlatformProject.CollaborationPlatform.Entity;

namespace CollaborativePlatformProject.CollaborationPlatform.Form
{
    /// <summary>
    /// ProjectForm.xaml 的交互逻辑
    /// </summary>
    public partial class ProjectForm : Window
    {
        public ObservableCollection<TreeViewBind> TreeViewDatas;
        private HomepageForm HomepageForm;
        public ProjectForm(HomepageForm homepageForm, ObservableCollection<TreeViewBind> treeViewDatas)
        {
            InitializeComponent();
            TreeViewDatas = treeViewDatas;
            HomepageForm = homepageForm;
            sp_pro.Children.Add(new ProjectControls(treeViewDatas));
        }

        private void ProjectForm_OnClosed(object sender, EventArgs e)
        {
        }
    }
}
